Skip to content

Returns the details of the given Group, including its members

Request

Returns the group specified by the group_id. Groups are defined by the SCIM specification.

Security
oauth2_as_a_server(Required scopes: groups.read) or oauth2_as_a_user(Required scopes: groups.read)
Path
group_idstringrequired

ID of the group to look up.

curl -i -X GET \
  'https://partner.socialchorus.com/scim/v2/Groups/{group_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/scim+json
idinteger

Group unique id

Example:115
displayNamestring

A human-readable name for the Group. REQUIRED.

Example:"Group of users"
externalIdstring

ID from provisioning system. This is the resource ID on the client system, not Firstup's ID.

Example:"1234qweasd567"
descriptionstring

Description for the Group.

Example:"Group of iOS users from partner domain"
membersArray of objects

A list of members of the Group.

Example:
[ { "value": "3", "_$ref": "https://partner.socialchorus.com/scim/v2/Users/3" } ]
metaobject
schemasArray of strings
Example:
[ "urn:ietf:params:scim:schemas:core:2.0:Group" ]
Response
{ "id": 115, "displayName": "Group of users", "externalId": "1234qweasd567", "description": "Group of iOS users from partner domain", "members": [ {} ], "meta": { "resourceType": "Group", "created": "2022-05-13T13:32:00.598Z", "lastModified": "2022-05-13T13:32:00.598Z", "location": "https://partner.socialchorus.com/scim/v2/Groups/115", "next": "https://partner.socialchorus.com/scim/v2/Groups/115?page=2" }, "schemas": [ "urn:ietf:params:scim:schemas:core:2.0:Group" ] }